Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fixes bug #20 - error when moving between lists

  • Loading branch information...
commit 8c39a3a48a137b18c409ea0507b0f9a97adc0d75 1 parent 840bc4a
@patspam authored
View
3  Changes
@@ -1,3 +1,6 @@
+1.0.8 2010-06-02
+ Fixes bug #20 - error when moving between lists
+
1.0.7 2010-05-24
Made the AIR version specifier less strict (so that it works with 2.0beta, 2.0rc1, etc..)
View
2  application.xml
@@ -14,7 +14,7 @@
</name>
<!-- Tarpo Version - remember to create corresponding Upgrade function -->
- <version>1.0.7</version>
+ <version>1.0.8</version>
<!-- Description, displayed in the AIR application installer.
May have multiple values for each language. See samples or xsd schema file. Optional. -->
View
3  src/js/Upgrade.js
@@ -252,4 +252,5 @@ Tarpo.Upgrade['1.0.4'] = function(){
Tarpo.Upgrade['1.0.5'] = function(){}
Tarpo.Upgrade['1.0.6'] = function(){}
-Tarpo.Upgrade['1.0.7'] = function(){}
+Tarpo.Upgrade['1.0.7'] = function(){}
+Tarpo.Upgrade['1.0.8'] = function(){}
View
7 src/js/Window/Main.js
@@ -178,7 +178,7 @@ Tarpo.Window.Main.tarpoDatabaseChosen = function(e) {
// See if the database needs to be upgraded
if (Tarpo.Upgrade.dbNeedsUpgrade()) {
- if (!confirm('This database file is out of date. Can I upgrade it?')) {
+ if (!confirm('This file was saved with an older version of Tarpo. Do you want to upgrade it?')) {
return;
}
@@ -422,8 +422,9 @@ Tarpo.Window.Main.load = function() {
var listId = node ? node.id : null;
var node = Tarpo.store.list.tree.getNodeById(listId);
if (node && !node.isSelected()) {
- node.select();
- return;
+ // Disabled (http://github.com/pdonelan/tarpo/issues/issue/20)
+ //node.select();
+ //return;
}
Tarpo.Actions.deleteList.setDisabled(!node || !node.attributes.editable);
Tarpo.Actions.deleteFolder.setDisabled(!node || node.attributes.editable === false || !node.attributes.isFolder);
Please sign in to comment.
Something went wrong with that request. Please try again.